package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2024-02-26
 * @description : WebSocket通讯消息枚举
 */
@Getter
@AllArgsConstructor
public enum KfWebSocketMsgEnum {

    /**
     * 心跳
     */
    WEBSOCKET_MSG_CONNECT_HEART_BEAT("WEBSOCKET_MSG_CONNECT_HEART_BEAT"),

    /**
     * 握手, 接收前端消息, 返回游戏列表
     */
    WEBSOCKET_MSG_KF_HAND_SHAKE("WEBSOCKET_MSG_KF_HAND_SHAKE"),

    /**
     * 建立连接, 接收前端消息, 待接入列表, 已接入房间列表
     */
    WEBSOCKET_MSG_KF_CREATE_CONNECT("WEBSOCKET_MSG_KF_CREATE_CONNECT"),

    /**
     * 玩家待接入, 主动推送玩家待接入列表
     */
    WEBSOCKET_MSG_WAIT_LIST("WEBSOCKET_MSG_WAIT_LIST"),

    /**
     * 玩家被接入, 接收前端消息, 直接返回完整已接入房间列表, 全部客服重新推送完整待接入列表, 消息类型 : WEBSOCKET_MSG_WAIT_LIST
     */
    WEBSOCKET_MSG_USER_CONNECT_JOIN("WEBSOCKET_MSG_USER_CONNECT_JOIN"),

    /**
     * 房间历史消息, 接收前端消息, 前端必须分页获取, 需要携带分页参数
     */
    WEBSOCKET_MSG_ROOM_HISTORY("WEBSOCKET_MSG_ROOM_HISTORY"),

    /**
     * 客服发送消息, 接收前端消息, 返回发送结果
     */
    WEBSOCKET_MSG_KF_SEND("WEBSOCKET_MSG_KF_SEND"),

    /**
     * 房间消息, 主动推送玩家消息
     */
    WEBSOCKET_MSG_ROOM_MSG("WEBSOCKET_MSG_ROOM_MSG"),

    /**
     * 获取已结束房间列表, 接收前端消息, 必须分页获取, 需要携带分页参数
     */
    WEBSOCKET_MSG_FINISH_ROOM_LIST("WEBSOCKET_MSG_FINISH_ROOM_LIST"),

    /**
     * 结束会话, 接收前端消息, 推送完整的已连接房间列表
     */
    WEBSOCKET_MSG_FINISH_SESSION("WEBSOCKET_MSG_FINISH_SESSION"),

    /**
     * 获取玩家信息
     */
    WEBSOCKET_MSG_GET_USER("WEBSOCKET_MSG_GET_USER"),

    /**
     * 获取角色列表
     */
    WEBSOCKET_MSG_GET_ROLE_LIST("WEBSOCKET_MSG_GET_ROLE_LIST"),

    /**
     * 获取订单列表
     */
    WEBSOCKET_MSG_GET_ORDER_LIST("WEBSOCKET_MSG_GET_ORDER_LIST"),

    /**
     * 快捷回复, 接收前端消息,请求动作包含查询, 修改, 删除, 新增
     */
    WEBSOCKET_MSG_QUICK_REPLY("WEBSOCKET_MSG_QUICK_REPLY");

    /**
     * 消息类型
     */
    private String value;
}
